---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libgetclmthd007.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50820, symBinAddr: 0xC300, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52760, symBinAddr: 0xE240, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52B50, symBinAddr: 0xE630, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53AF0, symBinAddr: 0xF5D0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53B00, symBinAddr: 0xF5E0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x504A0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x504A4, symBinAddr: 0xC1C4, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x504A8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50600, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x506B8, symBinAddr: 0xC288, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x506BC, symBinAddr: 0xC28C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x506C0, symBinAddr: 0xC290, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x506C4, symBinAddr: 0xC294, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x506C8, symBinAddr: 0xC298, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x506D0, symBinAddr: 0xC2A0, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x506E8, symBinAddr: 0xC2B8, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x506F0, symBinAddr: 0xC2C0, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x506F8, symBinAddr: 0xC2C8, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50700, symBinAddr: 0xC2D0, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50708, symBinAddr: 0xC2D8, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x5074A, symBinAddr: 0xC2EA, symSize: 0x0 }
  - { offsetInCU: 0x90DE, offset: 0x90DE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50750, symBinAddr: 0xC2F0, symSize: 0x0 }
  - { offsetInCU: 0x90F7, offset: 0x90F7, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x50758, symBinAddr: 0xC2F8, symSize: 0x0 }
  - { offsetInCU: 0x9117, offset: 0x9117, size: 0x8, addend: 0x0, symName: __ZL7classes, symObjAddr: 0xDCE0, symBinAddr: 0x8020, symSize: 0x0 }
  - { offsetInCU: 0x919F, offset: 0x919F, size: 0x8, addend: 0x0, symName: __ZL2m0, symObjAddr: 0xDDE0, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x91C4, offset: 0x91C4, size: 0x8, addend: 0x0, symName: __ZL2m1, symObjAddr: 0xDE00, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0x91DD, offset: 0x91DD, size: 0x8, addend: 0x0, symName: __ZL2m2, symObjAddr: 0xDE20, symBinAddr: 0xC0D0, symSize: 0x0 }
  - { offsetInCU: 0x9202, offset: 0x9202, size: 0x8, addend: 0x0, symName: __ZL2m3, symObjAddr: 0xDE60, symBinAddr: 0xC110, symSize: 0x0 }
  - { offsetInCU: 0x9227, offset: 0x9227, size: 0x8, addend: 0x0, symName: __ZL2m4, symObjAddr: 0xDE70, symBinAddr: 0xC120, symSize: 0x0 }
  - { offsetInCU: 0x9240, offset: 0x9240, size: 0x8, addend: 0x0, symName: __ZL2m5, symObjAddr: 0xDE90, symBinAddr: 0xC140, symSize: 0x0 }
  - { offsetInCU: 0x9259, offset: 0x9259, size: 0x8, addend: 0x0, symName: __ZL2m6, symObjAddr: 0xDEB0, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x9272, offset: 0x9272, size: 0x8, addend: 0x0, symName: __ZL2m7, symObjAddr: 0xDEC0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x928B, offset: 0x928B, size: 0x8, addend: 0x0, symName: __ZL2m8, symObjAddr: 0xDED0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x92A4, offset: 0x92A4, size: 0x8, addend: 0x0, symName: __ZL2m9, symObjAddr: 0xDEF0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x92F6, offset: 0x92F6, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x4780, symSize: 0x80 }
  - { offsetInCU: 0x938B, offset: 0x938B, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x46D0, symSize: 0xB0 }
  - { offsetInCU: 0x93E6, offset: 0x93E6, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x45D0, symSize: 0x100 }
  - { offsetInCU: 0x9679, offset: 0x9679, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x4800, symSize: 0x220 }
  - { offsetInCU: 0x985E, offset: 0x985E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4A20, symSize: 0xA0 }
  - { offsetInCU: 0x9911, offset: 0x9911, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x4AC0, symSize: 0x110 }
  - { offsetInCU: 0x9A07, offset: 0x9A07, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x4BD0, symSize: 0x150 }
  - { offsetInCU: 0x9B38, offset: 0x9B38, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4D20, symSize: 0x30 }
  - { offsetInCU: 0x9BC1, offset: 0x9BC1, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4D50, symSize: 0x150 }
  - { offsetInCU: 0x9DB9, offset: 0x9DB9, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4EA0, symSize: 0x160 }
  - { offsetInCU: 0x9F45, offset: 0x9F45, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x5000, symSize: 0x1B0 }
  - { offsetInCU: 0xA160, offset: 0xA160, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x51B0, symSize: 0xA0 }
  - { offsetInCU: 0xA22F, offset: 0xA22F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x5250, symSize: 0x20 }
  - { offsetInCU: 0xA266, offset: 0xA266, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x5270, symSize: 0x20 }
  - { offsetInCU: 0xA29D, offset: 0xA29D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x5290, symSize: 0x20 }
  - { offsetInCU: 0xA450, offset: 0xA450, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x52B0, symSize: 0x1A0 }
  - { offsetInCU: 0xA776, offset: 0xA776, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x5450, symSize: 0x80 }
  - { offsetInCU: 0xA83F, offset: 0xA83F, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x54D0, symSize: 0x6A0 }
  - { offsetInCU: 0xB3D4, offset: 0xB3D4, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA060, symBinAddr: 0x6650, symSize: 0xB0 }
  - { offsetInCU: 0xB44B, offset: 0xB44B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5B70, symSize: 0x70 }
  - { offsetInCU: 0xB4E7, offset: 0xB4E7, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5BE0, symSize: 0xA0 }
  - { offsetInCU: 0xB5C6, offset: 0xB5C6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5C80, symSize: 0x40 }
  - { offsetInCU: 0xB6BC, offset: 0xB6BC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5CC0, symSize: 0x2B0 }
  - { offsetInCU: 0xBA62, offset: 0xBA62, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5F70, symSize: 0xC0 }
  - { offsetInCU: 0xBBA8, offset: 0xBBA8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x6030, symSize: 0x10 }
  - { offsetInCU: 0xBC6A, offset: 0xBC6A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x6040, symSize: 0x220 }
  - { offsetInCU: 0xBFA0, offset: 0xBFA0, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x6260, symSize: 0x70 }
  - { offsetInCU: 0xC06B, offset: 0xC06B, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9CE0, symBinAddr: 0x62D0, symSize: 0x70 }
  - { offsetInCU: 0xC16E, offset: 0xC16E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetClassMethods_getclmthd007_check, symObjAddr: 0x9D50, symBinAddr: 0x6340, symSize: 0x300 }
  - { offsetInCU: 0xC375, offset: 0xC375, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetClassMethods_getclmthd007_getRes, symObjAddr: 0xA050, symBinAddr: 0x6640, symSize: 0x10 }
  - { offsetInCU: 0xC3AA, offset: 0xC3AA, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA110, symBinAddr: 0x6700, symSize: 0x36A }
...
